Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocument

    java.lang.Object
      com.bea.p13n.content.document.ref.DefaultDocument

All Implemented Interfaces:
  DocumentDef

public class DefaultDocument
extends Object
implements DocumentDef

A concreate DocumentDef that takes an array of bytes.

Field Summary
`protected byte[]` | `data` Deprecated. The raw data.

Constructor Summary
`DefaultDocument(byte[] data)` Deprecated. Constructor from a byte array.
`DefaultDocument(InputStream in)` Deprecated. Constructor from an input stream.

Method Summary
`static void` | `close(InputStream in)` Deprecated. Close an input stream and ignore any exception.
`byte[]` | `getBytes()` Deprecated. Get the bytes of the document.
`InputStream` | `openStream()` Deprecated. Open an input stream to the bytes of the document.
`static byte[]` | `readFully(InputStream in)` Deprecated. Fully read an input stream and return the resulting bytes.
`void` | `setBytes(byte[] data)` Deprecated. Set the bytes of the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected byte[] data

  Deprecated.
  The raw data.

Constructor Detail

### DefaultDocument

    public DefaultDocument(byte[] data)

  Deprecated.
  Constructor from a byte array.

### DefaultDocument

    public DefaultDocument(InputStream in)
                    throws IOException

  Deprecated.
  Constructor from an input stream.

Method Detail

### close

    public static void close(InputStream in)

  Deprecated.
  Close an input stream and ignore any exception.

### getBytes

    public byte[] getBytes()

  Deprecated.
  Get the bytes of the document.

  Specified by:
    `getBytes` in interface `DocumentDef`
  Returns:
    the raw bytes of the document.

### openStream

    public InputStream openStream()
                           throws DocumentException

  Deprecated.
  Open an input stream to the bytes of the document.

  Specified by:
    `openStream` in interface `DocumentDef`
  Returns:
    an input stream to the bytes.
  Throws:
    `DocumentException` - thrown on an error.

### readFully

    public static byte[] readFully(InputStream in)
                            throws IOException

  Deprecated.
  Fully read an input stream and return the resulting bytes.

  Throws:
    `IOException`

### setBytes

    public void setBytes(byte[] data)

  Deprecated.
  Set the bytes of the document.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved